Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

ISC BIND 9.x < 9.9.9-P4 / 9.9.9-S6 / 9.10.4-P4 / 9.11.0-P1 DoS

High

Synopsis

The remote DNS server may be affected by a Denial of Service (DoS) attack vector.

Description

Versions of ISC BIND 9.x prior to 9.9.9-P4, 9.9.9-S6, 9.10.4-P4 and 9.11.0-P1 are unpatched for a flaw that is triggered when handling a recursive response containing a DNAME record in the answer section. This may allow a remote attacker to trigger an assertion error and cause a server to stop responding.

Solution

Upgrade ISC BIND to version 9.11.0-P1 or later. If version 9.11.x cannot be obtained, versions 9.10.4-P4, 9.9.9-S6 and 9.9.9-P4 are also patched for these issues.